For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/site‑type

get

Get site type

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerRequired
Responses
200

success

successbooleanOptionalExample: true
get/api/site/site-type
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'siteid' => '2'
	);

$request = array(
	'method' => 'GET',
	'path' => 'site/site-type',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "site_type": {
    "type": "0",
    "name": "Membership",
    "description": "<b>Membership</b><br>Pass-Protected Recurring and/or Non-Recurring Sites",
    "url": {
      "hidden": 0
    },
    "third": false,
    "billers": true,
    "linkdomain": {
      "hidden": 0
    },
    "options": true,
    "cascades": true,
    "members": true,
    "partners": true,
    "nosite_fields": {
      "name": {
        "name": "name",
        "display": "Title",
        "required": true
      },
      "description": {
        "name": "description",
        "display": "Description",
        "required": false
      },
      "disclaimer": {
        "name": "disclaimer",
        "display": "Disclaimer",
        "required": false
      },
      "active_all": {
        "name": "active_all",
        "display": "Active by Default",
        "type": "checkbox"
      }
    },
    "extra_outgoing_sale_gateway_fields": {
      "disable_ssl_verify": {
        "name": "disable_ssl_verify",
        "display": "Disable SSL Verify",
        "type": "checkbox",
        "required": false
      }
    },
    "incoming_sale_fields": [
      "name",
      "initial",
      "initial_days",
      "rebill",
      "rebill_days",
      "packageid"
    ],
    "extra_incoming_sale_fields": {
      "package_excluded_optionid": {
        "name": "package_excluded_optionid",
        "display": "Equivalant Join Option",
        "type": "select",
        "required": false
      }
    },
    "tour_overview_pages": {
      "details": true,
      "pages_steps": true,
      "billers": true,
      "email": true,
      "posts": true,
      "templates": true,
      "linkcodes": true,
      "members": true
    }
  }
}

Last updated

Was this helpful?